[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.CMVisibleChanged

Handles a CM_VISIBLECHANGED message for the control.

## Declaration

Source position: controls.pp line 1452

`protected procedure TControl.CMVisibleChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message handled in the method.

## Description

CMVisibleChanged causes the control to be redrawn using the Visible and ControlStyle properties in the class instance. It allows a parented control to be redrawn using the visibility and opacity settings for the control. It calls the InvalidateControl method to invalidate the bounds rectangle or the control.

No actions are performed in the method at design-time.

## See also

TControl.Visible |  | Allows the control, and all of its children, to be displayed or hidden.
TControl.ControlStyle |  | Contains style flags which control the features or behaviors enabled for the control.
TComponent.ComponentState